package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractProjectManagementInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractProjectManagementInfo()
    {
        this("id");
    }
    protected AbstractProjectManagementInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.hr.project.ProjectManagementEntryCollection());
    }
    /**
     * Object: 项目管理 's 分录 property 
     */
    public com.kingdee.eas.hr.project.ProjectManagementEntryCollection getEntrys()
    {
        return (com.kingdee.eas.hr.project.ProjectManagementEntryCollection)get("entrys");
    }
    /**
     * Object:项目管理's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:项目管理's 项目编码property 
     */
    public String getProjectCode()
    {
        return getString("projectCode");
    }
    public void setProjectCode(String item)
    {
        setString("projectCode", item);
    }
    /**
     * Object:项目管理's 项目名称property 
     */
    public String getProjectName()
    {
        return getString("projectName");
    }
    public void setProjectName(String item)
    {
        setString("projectName", item);
    }
    /**
     * Object:项目管理's 项目级别property 
     */
    public com.kingdee.eas.hr.project.projectLevel getProjectLevel()
    {
        return com.kingdee.eas.hr.project.projectLevel.getEnum(getString("projectLevel"));
    }
    public void setProjectLevel(com.kingdee.eas.hr.project.projectLevel item)
    {
		if (item != null) {
        setString("projectLevel", item.getValue());
		}
    }
    /**
     * Object: 项目管理 's 项目经理 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getProjectManager()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("projectManager");
    }
    public void setProjectManager(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("projectManager", item);
    }
    /**
     * Object:项目管理's 项目预计开始时间property 
     */
    public java.util.Date getExpectedStartTime()
    {
        return getDate("expectedStartTime");
    }
    public void setExpectedStartTime(java.util.Date item)
    {
        setDate("expectedStartTime", item);
    }
    /**
     * Object:项目管理's 项目预计结束时间property 
     */
    public java.util.Date getExpectedEndTime()
    {
        return getDate("expectedEndTime");
    }
    public void setExpectedEndTime(java.util.Date item)
    {
        setDate("expectedEndTime", item);
    }
    /**
     * Object:项目管理's 项目总人天property 
     */
    public java.math.BigDecimal getTotalPersonDays()
    {
        return getBigDecimal("totalPersonDays");
    }
    public void setTotalPersonDays(java.math.BigDecimal item)
    {
        setBigDecimal("totalPersonDays", item);
    }
    /**
     * Object:项目管理's 总人天诚本金额property 
     */
    public java.math.BigDecimal getCostAmount()
    {
        return getBigDecimal("costAmount");
    }
    public void setCostAmount(java.math.BigDecimal item)
    {
        setBigDecimal("costAmount", item);
    }
    /**
     * Object:项目管理's 备注property 
     */
    public String getNotes()
    {
        return getString("notes");
    }
    public void setNotes(String item)
    {
        setString("notes", item);
    }
    /**
     * Object:项目管理's 已报工人天property 
     */
    public java.math.BigDecimal getWorkerDaysReported()
    {
        return getBigDecimal("workerDaysReported");
    }
    public void setWorkerDaysReported(java.math.BigDecimal item)
    {
        setBigDecimal("workerDaysReported", item);
    }
    /**
     * Object:项目管理's 人天耗用占比property 
     */
    public java.math.BigDecimal getProDayConsumption()
    {
        return getBigDecimal("proDayConsumption");
    }
    public void setProDayConsumption(java.math.BigDecimal item)
    {
        setBigDecimal("proDayConsumption", item);
    }
    /**
     * Object:项目管理's 变更人天property 
     */
    public java.math.BigDecimal getChangedManDays()
    {
        return getBigDecimal("changedManDays");
    }
    public void setChangedManDays(java.math.BigDecimal item)
    {
        setBigDecimal("changedManDays", item);
    }
    /**
     * Object:项目管理's 是否变更中property 
     */
    public boolean isBeingChanged()
    {
        return getBoolean("beingChanged");
    }
    public void setBeingChanged(boolean item)
    {
        setBoolean("beingChanged", item);
    }
    /**
     * Object:项目管理's 单据状态property 
     */
    public com.kingdee.eas.hr.project.projectState getProjectState()
    {
        return com.kingdee.eas.hr.project.projectState.getEnum(getInt("projectState"));
    }
    public void setProjectState(com.kingdee.eas.hr.project.projectState item)
    {
		if (item != null) {
        setInt("projectState", item.getValue());
		}
    }
    /**
     * Object:项目管理's 项目计划人天property 
     */
    public java.math.BigDecimal getPlannedManDays()
    {
        return getBigDecimal("plannedManDays");
    }
    public void setPlannedManDays(java.math.BigDecimal item)
    {
        setBigDecimal("plannedManDays", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("B15489DB");
    }
}